import request from '@/utils/request'

// 获取短信验证码
export function getNumberCode(data) {
  return request({
    url: '/message/sendSms',
    method: 'post',
    data
  })
}

// 我的账户获取短信验证码
export function userPhoneCode(params) {
  return request({
    url: '/user/phoneCode',
    method: 'get',
    params
  })
}

// 获取邮箱验证码
export function getMailCode(data) {
  return request({
    url: '/message/sendEmail',
    method: 'post',
    data
  })
}

// 我的账户获取邮箱验证码
export function userEmailCode(params) {
  return request({
    url: '/user/emailCode',
    method: 'get',
    params
  })
}

// 获取我的账户短信验证码
export function getMyAccountNumberCode(data) {
  return request({
    url: '/user/phoneCode',
    method: 'post',
    data
  })
}

// 获取我的账户短信验证码
export function getMyAccountMailCode(data) {
  return request({
    url: '/user/emailCode/' + data,
    method: 'post'
  })
}

// 获取查看的历史流程
export function getHistoricalProcess(params) {
  return request({
    url: '/bill/doBusinessHistoryView',
    method: 'get',
    params
  })
}

// 授信额度 根据地区查国家
export function getCountryByRegoin(data) {
  return request({
    url: '/creditScoreQuota/getCountry',
    method: 'post',
    data
  })
}

// 计算授信额度
export function getCreditQuota(data) {
  return request({
    url: '/creditScoreQuota/get',
    method: 'post',
    data
  })
}

// 查国家
export function getForeignCountry(data) {
  return request({
    url: '/system/country/get',
    method: 'post',
    data
  })
}
